CricketDrawParserInternal::State Struct Reference

Internal: the state of a CricketDrawParser. More...

## Public Member Functions

| State ()
| constructor
bool | getDash (int id, std::vector< float > &dash)
| returns a dash corresponding to some id

## Static Public Member Functions

static bool | getColor (int id, int intensity, MWAWColor &col)
| returns the quickdraw color corresponding to some id

## Public Attributes

std::vector< Shape > | m_shapeList
| the list of shape

## Protected Member Functions

void | initDashs ()
| init the dashs list

## Protected Attributes

std::vector< std::vector< float > > | m_dashList
| the list of dash

## Detailed Description

Internal: the state of a CricketDrawParser.

## Constructor & Destructor Documentation

## State()

CricketDrawParserInternal::State::State | ( |  | ) |

inline

constructor

## Member Function Documentation

## getColor()

bool CricketDrawParserInternal::State::getColor | ( | int | id,
|  | int | intensity,
|  | MWAWColor & | col )

static

returns the quickdraw color corresponding to some id

## getDash()

bool CricketDrawParserInternal::State::getDash | ( | int | id,
|  | std::vector< float > & | dash )

inline

returns a dash corresponding to some id

## initDashs()

void CricketDrawParserInternal::State::initDashs | ( |  | ) |

protected

init the dashs list

Referenced by getDash().

## Member Data Documentation

## m_dashList

std::vector< std::vector<float> > CricketDrawParserInternal::State::m_dashList

protected

the list of dash

Referenced by getDash(), initDashs(), and State().

## m_shapeList

std::vector<Shape> CricketDrawParserInternal::State::m_shapeList

the list of shape

Referenced by State().

The documentation for this struct was generated from the following file:

- CricketDrawParser.cxx